Index: plugins/antispam/_admin.php
===================================================================
--- plugins/antispam/_admin.php	(revision 3333)
+++ plugins/antispam/_admin.php	(revision 3725)
@@ -10,98 +10,98 @@
 #
 # -- END LICENSE BLOCK -----------------------------------------
-if (!defined('DC_CONTEXT_ADMIN')) { return; }
+if (!defined('DC_CONTEXT_ADMIN')) {return;}
 
 if (!defined('DC_ANTISPAM_CONF_SUPER')) {
-	define('DC_ANTISPAM_CONF_SUPER',false);
+    define('DC_ANTISPAM_CONF_SUPER', false);
 }
 
 $_menu['Plugins']->addItem(__('Antispam'),
-	$core->adminurl->get('admin.plugin.antispam'),
-	dcPage::getPF('antispam/icon.png'),
-	preg_match('/'.preg_quote($core->adminurl->get('admin.plugin.antispam')).'(&.*)?$/',$_SERVER['REQUEST_URI']),
-	$core->auth->check('admin',$core->blog->id));
+    $core->adminurl->get('admin.plugin.antispam'),
+    dcPage::getPF('antispam/icon.png'),
+    preg_match('/' . preg_quote($core->adminurl->get('admin.plugin.antispam')) . '(&.*)?$/', $_SERVER['REQUEST_URI']),
+    $core->auth->check('admin', $core->blog->id));
 
-$core->addBehavior('coreAfterCommentUpdate',array('dcAntispam','trainFilters'));
-$core->addBehavior('adminAfterCommentDesc',array('dcAntispam','statusMessage'));
-$core->addBehavior('adminDashboardIcons',array('dcAntispam','dashboardIcon'));
+$core->addBehavior('coreAfterCommentUpdate', array('dcAntispam', 'trainFilters'));
+$core->addBehavior('adminAfterCommentDesc', array('dcAntispam', 'statusMessage'));
+$core->addBehavior('adminDashboardIcons', array('dcAntispam', 'dashboardIcon'));
 
-$core->addBehavior('adminDashboardFavorites','antispamDashboardFavorites');
-$core->addBehavior('adminDashboardFavsIcon','antispamDashboardFavsIcon');
+$core->addBehavior('adminDashboardFavorites', 'antispamDashboardFavorites');
+$core->addBehavior('adminDashboardFavsIcon', 'antispamDashboardFavsIcon');
 
-function antispamDashboardFavorites($core,$favs)
+function antispamDashboardFavorites($core, $favs)
 {
-	$favs->register('antispam', array(
-		'title' => __('Antispam'),
-		'url' => $core->adminurl->get('admin.plugin.antispam'),
-		'small-icon' => dcPage::getPF('antispam/icon.png'),
-		'large-icon' => dcPage::getPF('antispam/icon-big.png'),
-		'permissions' => 'admin')
-	);
+    $favs->register('antispam', array(
+        'title'       => __('Antispam'),
+        'url'         => $core->adminurl->get('admin.plugin.antispam'),
+        'small-icon'  => dcPage::getPF('antispam/icon.png'),
+        'large-icon'  => dcPage::getPF('antispam/icon-big.png'),
+        'permissions' => 'admin')
+    );
 }
 
-function antispamDashboardFavsIcon($core,$name,$icon)
+function antispamDashboardFavsIcon($core, $name, $icon)
 {
-	// Check if it is comments favs
-	if ($name == 'comments') {
-		// Hack comments title if there is at least one spam
-		$str = dcAntispam::dashboardIconTitle($core);
-		if ($str != '') {
-			$icon[0] .= $str;
-		}
-	}
+    // Check if it is comments favs
+    if ($name == 'comments') {
+        // Hack comments title if there is at least one spam
+        $str = dcAntispam::dashboardIconTitle($core);
+        if ($str != '') {
+            $icon[0] .= $str;
+        }
+    }
 }
 
 if (!DC_ANTISPAM_CONF_SUPER || $core->auth->isSuperAdmin()) {
-	$core->addBehavior('adminBlogPreferencesForm',array('antispamBehaviors','adminBlogPreferencesForm'));
-	$core->addBehavior('adminBeforeBlogSettingsUpdate',array('antispamBehaviors','adminBeforeBlogSettingsUpdate'));
-	$core->addBehavior('adminCommentsSpamForm',array('antispamBehaviors','adminCommentsSpamForm'));
-	$core->addBehavior('adminPageHelpBlock',array('antispamBehaviors','adminPageHelpBlock'));
+    $core->addBehavior('adminBlogPreferencesForm', array('antispamBehaviors', 'adminBlogPreferencesForm'));
+    $core->addBehavior('adminBeforeBlogSettingsUpdate', array('antispamBehaviors', 'adminBeforeBlogSettingsUpdate'));
+    $core->addBehavior('adminCommentsSpamForm', array('antispamBehaviors', 'adminCommentsSpamForm'));
+    $core->addBehavior('adminPageHelpBlock', array('antispamBehaviors', 'adminPageHelpBlock'));
 }
 
 class antispamBehaviors
 {
-	public static function adminPageHelpBlock($blocks)
-	{
-		$found = false;
-		foreach($blocks as $block) {
-			if ($block == 'core_comments') {
-				$found = true;
-				break;
-			}
-		}
-		if (!$found) {
-			return null;
-		}
-		$blocks[] = 'antispam_comments';
-	}
+    public static function adminPageHelpBlock($blocks)
+    {
+        $found = false;
+        foreach ($blocks as $block) {
+            if ($block == 'core_comments') {
+                $found = true;
+                break;
+            }
+        }
+        if (!$found) {
+            return;
+        }
+        $blocks[] = 'antispam_comments';
+    }
 
-	public static function adminCommentsSpamForm($core)
-	{
-		$ttl = $core->blog->settings->antispam->antispam_moderation_ttl;
-		if ($ttl != null && $ttl >=0) {
-			echo '<p>'.sprintf(__('All spam comments older than %s day(s) will be automatically deleted.'), $ttl).' '.
-			sprintf(__('You can modify this duration in the %s'),'<a href="'.$core->adminurl->get('admin.blog.pref').
-				'#antispam_moderation_ttl"> '.__('Blog settings').'</a>').
-			'.</p>';
-		}
-	}
+    public static function adminCommentsSpamForm($core)
+    {
+        $ttl = $core->blog->settings->antispam->antispam_moderation_ttl;
+        if ($ttl != null && $ttl >= 0) {
+            echo '<p>' . sprintf(__('All spam comments older than %s day(s) will be automatically deleted.'), $ttl) . ' ' .
+            sprintf(__('You can modify this duration in the %s'), '<a href="' . $core->adminurl->get('admin.blog.pref') .
+                '#antispam_moderation_ttl"> ' . __('Blog settings') . '</a>') .
+                '.</p>';
+        }
+    }
 
-	public static function adminBlogPreferencesForm($core,$settings)
-	{
-		$ttl = $settings->antispam->antispam_moderation_ttl;
-		echo
-		'<div class="fieldset"><h4 id="antispam_params">Antispam</h4>'.
-		'<p><label for="antispam_moderation_ttl" class="classic">'.__('Delete junk comments older than').' '.
-		form::field('antispam_moderation_ttl', 3, 3, $ttl).
-		' '.__('days').
-		'</label></p>'.
-		'<p><a href="'.$core->adminurl->get('admin.plugin.antispam').'">'.__('Set spam filters.').'</a></p>'.
-		'</div>';
-	}
+    public static function adminBlogPreferencesForm($core, $settings)
+    {
+        $ttl = $settings->antispam->antispam_moderation_ttl;
+        echo
+        '<div class="fieldset"><h4 id="antispam_params">Antispam</h4>' .
+        '<p><label for="antispam_moderation_ttl" class="classic">' . __('Delete junk comments older than') . ' ' .
+        form::number('antispam_moderation_ttl', 0, 999, $ttl) .
+        ' ' . __('days') .
+        '</label></p>' .
+        '<p><a href="' . $core->adminurl->get('admin.plugin.antispam') . '">' . __('Set spam filters.') . '</a></p>' .
+            '</div>';
+    }
 
-	public static function adminBeforeBlogSettingsUpdate($settings)
-	{
-		$settings->addNamespace('antispam');
-		$settings->antispam->put('antispam_moderation_ttl',(integer)$_POST['antispam_moderation_ttl']);
-	}
+    public static function adminBeforeBlogSettingsUpdate($settings)
+    {
+        $settings->addNamespace('antispam');
+        $settings->antispam->put('antispam_moderation_ttl', (integer) $_POST['antispam_moderation_ttl']);
+    }
 }
Index: plugins/antispam/index.php
===================================================================
--- plugins/antispam/index.php	(revision 3707)
+++ plugins/antispam/index.php	(revision 3725)
@@ -204,5 +204,11 @@
         echo
         '<tr class="line' . ($f->active ? '' : ' offline') . '" id="f_' . $fid . '">' .
-        '<td class="handle">' . form::field(array('f_order[' . $fid . ']'), 2, 5, (string) $i, 'position', '', false, 'title="' . __('position') . '"') . '</td>' .
+        '<td class="handle">' . form::number(array('f_order[' . $fid . ']'), array(
+            'min'        => 0,
+            'default'    => $i,
+            'class'      => 'position',
+            'extra_html' => 'title="' . __('position') . '"'
+        )) .
+        '</td>' .
         '<td class="nowrap">' . form::checkbox(array('filters_active[]'), $fid,
             array(
